/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Alex Kindle - Initial design, API and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.app;

import java.awt.Dimension;
import java.awt.Toolkit;

import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

import edu.wpi.wpisuite.data.funcs.UserManager;

/**
 * A self-contained, standalone popup window which deals with the self-creation
 * of a new user.
 */
public class NewUserView extends javax.swing.JFrame {
	private static final long serialVersionUID = 2066220510715809702L;
	private LoginView originator;

	/** Creates new form NewUserView */
	public NewUserView(LoginView originator) {
		this.originator = originator;
		originator.setFocusable(false);
		this.initComponents();
		this.setVisible(true);

		this.setTitle("New User");
		this.setIconImage(new ImageIcon("resources/WPISuite-128x128.png")
				.getImage());

		int sizex = this.getSize().width;
		int sizey = this.getSize().height;
		Toolkit toolkit = Toolkit.getDefaultToolkit();
		Dimension scrnsize = toolkit.getScreenSize();
		this.setLocation((scrnsize.width - sizex) / 2,
				(scrnsize.height - sizey) / 2);
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	// <editor-fold defaultstate="collapsed" desc="Generated Code">
	private void initComponents() {

		this.jPanel1 = new javax.swing.JPanel();
		this.NewUserUsernameLabel = new javax.swing.JLabel();
		this.NewUserusernameField = new javax.swing.JTextField();
		this.NewUserFirstnameLabel = new javax.swing.JLabel();
		this.NewUserLastnameLabel = new javax.swing.JLabel();
		this.NewUserEmailAddressLabel = new javax.swing.JLabel();
		this.NewUserFirstnameField = new javax.swing.JTextField();
		this.NewUserLastnameField = new javax.swing.JTextField();
		this.NewUserEmailAddressField = new javax.swing.JTextField();
		this.NewUserOKButton = new javax.swing.JButton();
		this.NewUserCancelButton = new javax.swing.JButton();

		this
				.setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		this.setTitle("New User");
		this.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
		// getContentPane().setLayout(L);

		this.NewUserUsernameLabel.setText("User Name");

		this.NewUserusernameField.setText("");

		this.NewUserFirstnameLabel.setText("First Name");

		this.NewUserLastnameLabel.setText("Last Name");

		this.NewUserEmailAddressLabel.setText("E-mail Address");

		this.NewUserFirstnameField.setText("");

		this.NewUserLastnameField.setText("");

		this.NewUserEmailAddressField.setText("");

		this.NewUserOKButton.setText("OK");
		this.NewUserOKButton
				.addActionListener(new java.awt.event.ActionListener() {
					public void actionPerformed(java.awt.event.ActionEvent evt) {
						NewUserView.this.NewUserOKButtonActionPerformed(evt);
					}
				});

		this.NewUserCancelButton.setText("Cancel");
		this.NewUserCancelButton
				.addActionListener(new java.awt.event.ActionListener() {
					public void actionPerformed(java.awt.event.ActionEvent evt) {
						NewUserView.this
								.NewUserCancelButtonActionPerformed(evt);
					}
				});

		javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(
				this.jPanel1);
		this.jPanel1.setLayout(jPanel1Layout);
		jPanel1Layout
				.setHorizontalGroup(jPanel1Layout
						.createParallelGroup(
								javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(
								jPanel1Layout
										.createSequentialGroup()
										.addContainerGap()
										.addGroup(
												jPanel1Layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.LEADING)
														.addGroup(
																jPanel1Layout
																		.createSequentialGroup()
																		.addGroup(
																				jPanel1Layout
																						.createParallelGroup(
																								javax.swing.GroupLayout.Alignment.TRAILING)
																						.addComponent(
																								this.NewUserUsernameLabel)
																						.addComponent(
																								this.NewUserLastnameLabel)
																						.addComponent(
																								this.NewUserEmailAddressLabel)
																						.addComponent(
																								this.NewUserFirstnameLabel))
																		.addPreferredGap(
																				javax.swing.LayoutStyle.ComponentPlacement.RELATED)
																		.addGroup(
																				jPanel1Layout
																						.createParallelGroup(
																								javax.swing.GroupLayout.Alignment.LEADING,
																								false)
																						.addComponent(
																								this.NewUserEmailAddressField)
																						.addComponent(
																								this.NewUserLastnameField)
																						.addComponent(
																								this.NewUserFirstnameField)
																						.addComponent(
																								this.NewUserusernameField,
																								javax.swing.GroupLayout.DEFAULT_SIZE,
																								165,
																								Short.MAX_VALUE)))
														.addGroup(
																jPanel1Layout
																		.createSequentialGroup()
																		.addComponent(
																				this.NewUserOKButton)
																		.addPreferredGap(
																				javax.swing.LayoutStyle.ComponentPlacement.RELATED)
																		.addComponent(
																				this.NewUserCancelButton)))
										.addContainerGap(11, Short.MAX_VALUE)));
		jPanel1Layout
				.setVerticalGroup(jPanel1Layout
						.createParallelGroup(
								javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(
								jPanel1Layout
										.createSequentialGroup()
										.addContainerGap()
										.addGroup(
												jPanel1Layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																this.NewUserUsernameLabel)
														.addComponent(
																this.NewUserusernameField,
																javax.swing.GroupLayout.PREFERRED_SIZE,
																javax.swing.GroupLayout.DEFAULT_SIZE,
																javax.swing.GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(
												jPanel1Layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																this.NewUserFirstnameLabel)
														.addComponent(
																this.NewUserFirstnameField,
																javax.swing.GroupLayout.PREFERRED_SIZE,
																javax.swing.GroupLayout.DEFAULT_SIZE,
																javax.swing.GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(
												jPanel1Layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																this.NewUserLastnameLabel)
														.addComponent(
																this.NewUserLastnameField,
																javax.swing.GroupLayout.PREFERRED_SIZE,
																javax.swing.GroupLayout.DEFAULT_SIZE,
																javax.swing.GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(
												jPanel1Layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																this.NewUserEmailAddressLabel)
														.addComponent(
																this.NewUserEmailAddressField,
																javax.swing.GroupLayout.PREFERRED_SIZE,
																javax.swing.GroupLayout.DEFAULT_SIZE,
																javax.swing.GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(
												jPanel1Layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																this.NewUserOKButton)
														.addComponent(
																this.NewUserCancelButton))
										.addContainerGap(12, Short.MAX_VALUE)));

		this.getContentPane().add(this.jPanel1);

		this.pack();
	}// </editor-fold>

	private void NewUserOKButtonActionPerformed(java.awt.event.ActionEvent evt) {
		try {
			UserManager.create(this.NewUserusernameField.getText(),
					this.NewUserFirstnameField.getText(),
					this.NewUserLastnameField.getText(),
					this.NewUserEmailAddressField.getText());
			JOptionPane.showMessageDialog(null, "User \""
					+ this.NewUserusernameField.getText()
					+ "\" created successfully. An email has been sent to "
					+ this.NewUserEmailAddressField.getText()
					+ " with a temporary password.");
		} catch (Exception e) {
			JOptionPane.showMessageDialog(null, e.getMessage());
		}
		this.cleanup();

	}

	private void NewUserCancelButtonActionPerformed(
			java.awt.event.ActionEvent evt) {
		this.cleanup();
	}

	private void cleanup() {
		this.originator.setFocusable(true);
		this.setVisible(false);
	}

	// Variables declaration - do not modify
	private javax.swing.JButton NewUserCancelButton;
	private javax.swing.JTextField NewUserEmailAddressField;
	private javax.swing.JLabel NewUserEmailAddressLabel;
	private javax.swing.JTextField NewUserFirstnameField;
	private javax.swing.JLabel NewUserFirstnameLabel;
	private javax.swing.JTextField NewUserLastnameField;
	private javax.swing.JLabel NewUserLastnameLabel;
	private javax.swing.JButton NewUserOKButton;
	private javax.swing.JLabel NewUserUsernameLabel;
	private javax.swing.JTextField NewUserusernameField;
	private javax.swing.JPanel jPanel1;
	// End of variables declaration

}
