package edu.wpi.wpisuite.components;

import java.util.HashMap;

import javax.swing.Icon;
import javax.swing.ImageIcon;

/**
 * A class to maintain a standard set of icons for each entity across the
 * application
 * 
 * @author Lucas Scotta
 */
public class EntityIconSet {
	static HashMap<String, ImageIcon> icons = new HashMap<String, ImageIcon>();
	static {
		icons.put("User", new ImageIcon("resources/EntityIcons/User.png"));
		icons
				.put("UserAdd", new ImageIcon(
						"resources/EntityIcons/UserAdd.png"));
		icons.put("UserAdmin", new ImageIcon(
				"resources/EntityIcons/UserAdmin.png"));
		icons.put("UserStory", new ImageIcon(
				"resources/EntityIcons/UserStory.png"));
		icons.put("UserStoryAdd", new ImageIcon(
				"resources/EntityIcons/UserStoryAdd.png"));
		// icons.put("UserStoryEdit", new
		// ImageIcon("resources/EntityIcons/UserStoryEdit.png"));
		// icons.put("UserStoryDelete", new
		// ImageIcon("resources/EntityIcons/UserStoryDelete.png"));

		icons
				.put("Feature", new ImageIcon(
						"resources/EntityIcons/Feature.png"));
		icons.put("FeatureAdd", new ImageIcon(
				"resources/EntityIcons/FeatureAdd.png"));

		icons
				.put("Project", new ImageIcon(
						"resources/EntityIcons/Project.png"));
		icons.put("ProjectAdd", new ImageIcon(
				"resources/EntityIcons/ProjectAdd.png"));
		icons.put("ProjectActive", new ImageIcon(
				"resources/EntityIcons/ProjectActive.png"));
		// icons.put("ProjectEdit", new
		// ImageIcon("resources/EntityIcons/ProjectEdit.png"));
		// icons.put("ProjectDelete", new
		// ImageIcon("resources/EntityIcons/ProjectDelete.png"));

		icons
				.put("Release", new ImageIcon(
						"resources/EntityIcons/Release.png"));
		icons.put("ReleaseAdd", new ImageIcon(
				"resources/EntityIcons/ReleaseAdd.png"));

		icons.put("Iteration", new ImageIcon(
				"resources/EntityIcons/Iteration.png"));
		icons.put("IterationAdd", new ImageIcon(
				"resources/EntityIcons/IterationAdd.png"));

		icons.put("TraceabilityMatrix", new ImageIcon(
				"resources/EntityIcons/TraceabilityMatrix.png"));
		icons.put("TraceabilityMatrixAdd", new ImageIcon(
				"resources/EntityIcons/TraceabilityMatrixAdd.png"));

		// Icons that really don't belong in this manager (or have this manager
		// handle all icons?)
		icons.put("Add", new ImageIcon("resources/EntityIcons/Add.png"));
		icons.put("Delete", new ImageIcon("resources/EntityIcons/Delete.png"));
		icons
				.put("Default", new ImageIcon(
						"resources/EntityIcons/Default.png"));
		icons.put("Password", new ImageIcon(
				"resources/EntityIcons/Password.png"));
		icons.put("Logout", new ImageIcon("resources/EntityIcons/Logout.png"));
		icons.put("Trace", new ImageIcon("resources/EntityIcons/Trace.png"));
	}

	public enum IconType {
		DEFAULT, CREATE
		// , EDIT, DELETE
	}

	public EntityIconSet() {
	}

	private ImageIcon getIcon(String name) {
		ImageIcon i = icons.get(name);
		if (i == null)
			i = icons.get("Default");

		return i;
	}

	public ImageIcon getUserIcon(IconType t) {
		switch (t) {
		case DEFAULT:
			return getIcon("User");
		case CREATE:
			return getIcon("UserAdd");
		default:
			return getIcon("User");
		}
	}

	public ImageIcon getUserStoryIcon(IconType t) {
		switch (t) {
		case DEFAULT:
			return getIcon("UserStory");
		case CREATE:
			return getIcon("UserStoryAdd");
		default:
			return getIcon("UserStory");
		}
	}

	public ImageIcon getFeatureIcon(IconType t) {
		switch (t) {
		case DEFAULT:
			return getIcon("Feature");
		case CREATE:
			return getIcon("FeatureAdd");
		default:
			return getIcon("Feature");
		}
	}

	public ImageIcon getIterationIcon(IconType t) {
		switch (t) {
		case DEFAULT:
			return getIcon("Iteration");
		case CREATE:
			return getIcon("IterationAdd");
		default:
			return getIcon("Iteration");
		}
	}

	public ImageIcon getProjectIcon(IconType t) {
		switch (t) {
		case DEFAULT:
			return getIcon("Project");
		case CREATE:
			return getIcon("ProjectAdd");
		default:
			return getIcon("Project");
		}
	}

	public ImageIcon getReleaseIcon(IconType t) {
		switch (t) {
		case DEFAULT:
			return getIcon("Release");
		case CREATE:
			return getIcon("ReleaseAdd");
		default:
			return getIcon("Release");
		}
	}

	public ImageIcon getTraceabilityMatrixIcon(IconType t) {
		switch (t) {
		case DEFAULT:
			return getIcon("TraceabilityMatrix");
		case CREATE:
			return getIcon("TraceabilityMatrixAdd");
		default:
			return getIcon("TraceabilityMatrix");
		}
	}

	public ImageIcon getUserAdminIcon() {
		return getIcon("UserAdmin");
	}

	public ImageIcon getDefaultIcon() {
		return getIcon("Default");
	}

	public ImageIcon getAddIcon() {
		return getIcon("Add");
	}

	public ImageIcon getDeleteIcon() {
		return getIcon("Delete");
	}

	public ImageIcon getPasswordIcon() {
		return getIcon("Password");
	}

	public ImageIcon getLogoutIcon() {
		return getIcon("Logout");
	}

	public ImageIcon getTraceIcon() {
		return getIcon("Trace");
	}

	public Icon getProjectActiveIcon() {
		return getIcon("ProjectActive");
	}
}
