package edu.wpi.wpisuite.components;

import java.awt.Component;

import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;

import net.java.ao.Entity;


import edu.wpi.wpisuite.components.EntityIconSet.IconType;
import edu.wpi.wpisuite.data.Feature;
import edu.wpi.wpisuite.data.Iteration;
import edu.wpi.wpisuite.data.Project;
import edu.wpi.wpisuite.data.Release;
import edu.wpi.wpisuite.data.User;
import edu.wpi.wpisuite.data.UserStory;

/**
 * Tree cell renderer to set the appropriate icon for any type of entity
 * 
 * @author Lucas Scotta
 * @see http://www.daniweb.com/forums/thread117886.html
 * @see http://www.famfamfam.com/lab/icons/silk/ for icons
 */
@SuppressWarnings("serial")
public class EntityTreeCellRenderer extends DefaultTreeCellRenderer {
	EntityIconSet icons = new EntityIconSet();

	public EntityTreeCellRenderer() {
	}

	@Override
	@SuppressWarnings("unchecked")
	public Component getTreeCellRendererComponent(JTree tree, Object value,
			boolean sel, boolean expanded, boolean leaf, int row,
			boolean hasFocus) {

		super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf,
				row, hasFocus);

		if (value instanceof EntityTreeNode) {
			Entity nodeEntity = ((EntityTreeNode) value).getUserObject();

			// check whatever you need to on the node user object
			if (nodeEntity instanceof User) {
				if (((User) nodeEntity).isAdmin())
					setIcon(icons.getUserAdminIcon());
				else
					setIcon(icons.getUserIcon(IconType.DEFAULT));

				if (leaf)
					this.setEnabled(false);
			} else if (nodeEntity instanceof UserStory)
				setIcon(icons.getUserStoryIcon(IconType.DEFAULT));
			else if (nodeEntity instanceof Feature)
				setIcon(icons.getFeatureIcon(IconType.DEFAULT));
			else if (nodeEntity instanceof Iteration)
				setIcon(icons.getIterationIcon(IconType.DEFAULT));
			else if (nodeEntity instanceof Release)
				setIcon(icons.getReleaseIcon(IconType.DEFAULT));
			else if (nodeEntity instanceof Project)
				setIcon(icons.getProjectIcon(IconType.DEFAULT));

		}

		return this;
	}

}