/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.components.editor;

/**
 * Represents an error where the user has attempted to give the program invalid
 * input of some sort. This class is just a wrapper around Exception. We use
 * this in place of IllegalArgumentException because we don't want a runtime
 * exception
 */
@SuppressWarnings("serial")
public class InvalidInputException extends Exception {
	/**
	 * Constructs a new exception with the given message
	 * 
	 * @param message
	 *            The error message to report
	 */
	public InvalidInputException(String message) {
		super(message);
	}
}
