/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.components.editor.entity;

import edu.wpi.wpisuite.components.editor.DefaultEntityEditorPanelView;

/**
 * A swing panel view for the ProjectEditor
 */
@SuppressWarnings("serial")
public class ProjectEditorPanelView extends DefaultEntityEditorPanelView {

	/**
	 * Calls super
	 * 
	 * @param p
	 *            The editor controller for this view
	 */
	public ProjectEditorPanelView(ProjectEditor p) {
		super(p);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see components.editor.DefaultEntityEditorPanelView#registerComponents()
	 */
	@Override
	public void registerComponents() {
		registerComponent("header", this.headerLabel);
		registerComponent("name", this.nameLabel, this.nameTextField);
		registerComponent("description", this.descriptionLabel,
				this.descriptionTextArea);
	}

	// /////////////////////////////////////////////////////////////////////////
	// //
	// Code below this point was created with NetBeans form builder. //
	// Avoid editing manually. If necessary, do so with caution. //
	// //
	// /////////////////////////////////////////////////////////////////////////

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	// <editor-fold defaultstate="collapsed" desc="Generated Code">
	@Override
	protected void initComponents() {

		this.headerLabel = new javax.swing.JLabel();
		this.nameLabel = new javax.swing.JLabel();
		this.nameTextField = new javax.swing.JTextField();
		this.descriptionLabel = new javax.swing.JLabel();
		this.descriptionScrollPane = new javax.swing.JScrollPane();
		this.descriptionTextArea = new javax.swing.JTextArea();
		this.cancelButton = new javax.swing.JButton();
		this.actionButton = new javax.swing.JButton();
		this.headerSeparator = new javax.swing.JSeparator();
		this.deleteButton = new javax.swing.JButton();

		this.headerLabel.setFont(new java.awt.Font("Tahoma", 0, 16));
		this.headerLabel.setText("Project");

		this.nameLabel.setText("Name:");

		this.descriptionLabel.setText("Description:");

		this.descriptionTextArea.setColumns(20);
		this.descriptionTextArea.setLineWrap(true);
		this.descriptionTextArea.setRows(1);
		this.descriptionScrollPane.setViewportView(this.descriptionTextArea);

		this.cancelButton.setText("Cancel");

		this.actionButton.setText("Action");

		this.deleteButton.setText("Delete");

		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
		this.setLayout(layout);
		layout
				.setHorizontalGroup(layout
						.createParallelGroup(
								javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(
								javax.swing.GroupLayout.Alignment.TRAILING,
								layout
										.createSequentialGroup()
										.addContainerGap(372, Short.MAX_VALUE)
										.addComponent(this.actionButton)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(this.deleteButton)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(this.cancelButton)
										.addContainerGap())
						.addGroup(
								layout
										.createSequentialGroup()
										.addContainerGap()
										.addComponent(
												this.headerLabel,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												573, Short.MAX_VALUE)
										.addContainerGap())
						.addComponent(this.headerSeparator,
								javax.swing.GroupLayout.DEFAULT_SIZE, 593,
								Short.MAX_VALUE)
						.addGroup(
								layout.createSequentialGroup()
										.addContainerGap().addComponent(
												this.descriptionLabel)
										.addContainerGap(526, Short.MAX_VALUE))
						.addGroup(
								layout
										.createSequentialGroup()
										.addContainerGap()
										.addComponent(
												this.descriptionScrollPane,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												573, Short.MAX_VALUE)
										.addContainerGap())
						.addGroup(
								javax.swing.GroupLayout.Alignment.TRAILING,
								layout
										.createSequentialGroup()
										.addContainerGap()
										.addComponent(
												this.nameTextField,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												392, Short.MAX_VALUE)
										.addContainerGap())
						.addGroup(
								javax.swing.GroupLayout.Alignment.TRAILING,
								layout
										.createSequentialGroup()
										.addContainerGap()
										.addComponent(
												this.nameLabel,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												392, Short.MAX_VALUE)
										.addContainerGap()));
		layout
				.setVerticalGroup(layout
						.createParallelGroup(
								javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(
								javax.swing.GroupLayout.Alignment.TRAILING,
								layout
										.createSequentialGroup()
										.addContainerGap()
										.addComponent(this.headerLabel)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(
												this.headerSeparator,
												javax.swing.GroupLayout.PREFERRED_SIZE,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(this.nameLabel)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(
												this.nameTextField,
												javax.swing.GroupLayout.PREFERRED_SIZE,
												20,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(
												this.descriptionLabel,
												javax.swing.GroupLayout.PREFERRED_SIZE,
												14,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(
												this.descriptionScrollPane,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												141, Short.MAX_VALUE)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addGroup(
												layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																this.cancelButton,
																javax.swing.GroupLayout.PREFERRED_SIZE,
																23,
																javax.swing.GroupLayout.PREFERRED_SIZE)
														.addComponent(
																this.deleteButton)
														.addComponent(
																this.actionButton))
										.addContainerGap()));
	}// </editor-fold>

	// Variables declaration - do not modify
	private javax.swing.JLabel descriptionLabel;
	private javax.swing.JTextArea descriptionTextArea;
	private javax.swing.JLabel headerLabel;
	private javax.swing.JSeparator headerSeparator;
	private javax.swing.JLabel nameLabel;
	private javax.swing.JScrollPane descriptionScrollPane;
	private javax.swing.JTextField nameTextField;
	// End of variables declaration

}
