/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.components.editor.entity;

import com.toedter.calendar.JDateChooser;

import edu.wpi.wpisuite.components.editor.DefaultEntityEditorPanelView;

/**
 * A swing panel view for the ReleaseEditor
 */
@SuppressWarnings("serial")
public class ReleaseEditorPanelView extends DefaultEntityEditorPanelView {

	/**
	 * Calls super
	 * 
	 * @param p
	 *            The editor controller for this view
	 */
	public ReleaseEditorPanelView(ReleaseEditor p) {
		super(p);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see components.editor.DefaultEntityEditorPanelView#registerComponents()
	 */
	@Override
	public void registerComponents() {
		registerComponent("header", this.headerLabel);
		registerComponent("name", this.nameLabel, this.nameTextField);
		registerComponent("expectedDate", this.expectedDateLabel,
				this.expectedDateChooser);
		registerComponent("actualDate", this.actualDateLabel,
				this.actualDateChooser);
	}

	// /////////////////////////////////////////////////////////////////////////
	// //
	// Code below this point was created with NetBeans form builder. //
	// Avoid editing manually. If necessary, do so with caution. //
	// //
	// /////////////////////////////////////////////////////////////////////////

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	// <editor-fold defaultstate="collapsed" desc="Generated Code">
	@Override
	protected void initComponents() {

		this.headerLabel = new javax.swing.JLabel();
		this.headerSeparator = new javax.swing.JSeparator();
		this.nameLabel = new javax.swing.JLabel();
		this.nameTextField = new javax.swing.JTextField();
		this.expectedDateLabel = new javax.swing.JLabel();
		this.actualDateLabel = new javax.swing.JLabel();
		this.expectedDateChooser = new JDateChooser();
		this.actualDateChooser = new JDateChooser();
		this.cancelButton = new javax.swing.JButton();
		this.actionButton = new javax.swing.JButton();
		this.deleteButton = new javax.swing.JButton();

		this.headerLabel.setFont(new java.awt.Font("Tahoma", 0, 16)); // NOI18N
		this.headerLabel.setText("Release");

		this.nameLabel.setText("Name:");

		this.expectedDateLabel.setText("Expected Date:");

		this.actualDateLabel.setText("Actual Date:");

		this.cancelButton.setText("Cancel");

		this.actionButton.setText("Action");

		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
		this.setLayout(layout);
		layout
				.setHorizontalGroup(layout
						.createParallelGroup(
								javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(
								layout.createSequentialGroup()
										.addContainerGap().addComponent(
												this.headerLabel)
										.addContainerGap(382, Short.MAX_VALUE))
						.addComponent(this.headerSeparator,
								javax.swing.GroupLayout.DEFAULT_SIZE, 452,
								Short.MAX_VALUE)
						.addGroup(
								layout.createSequentialGroup()
										.addContainerGap().addComponent(
												this.nameLabel)
										.addContainerGap(411, Short.MAX_VALUE))
						.addGroup(
								layout
										.createSequentialGroup()
										.addContainerGap()
										.addComponent(
												this.nameTextField,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												432, Short.MAX_VALUE)
										.addContainerGap())
						.addGroup(
								layout
										.createSequentialGroup()
										.addContainerGap()
										.addGroup(
												layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.LEADING)
														.addComponent(
																this.expectedDateChooser,
																javax.swing.GroupLayout.PREFERRED_SIZE,
																110,
																javax.swing.GroupLayout.PREFERRED_SIZE)
														.addComponent(
																this.expectedDateLabel))
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(
												layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.LEADING)
														.addComponent(
																this.actualDateLabel)
														.addComponent(
																this.actualDateChooser,
																javax.swing.GroupLayout.PREFERRED_SIZE,
																110,
																javax.swing.GroupLayout.PREFERRED_SIZE))
										.addContainerGap(216, Short.MAX_VALUE))
						.addGroup(
								javax.swing.GroupLayout.Alignment.TRAILING,
								layout
										.createSequentialGroup()
										.addContainerGap(304, Short.MAX_VALUE)
										.addComponent(this.actionButton)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(this.cancelButton)
										.addContainerGap()));
		layout
				.setVerticalGroup(layout
						.createParallelGroup(
								javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(
								layout
										.createSequentialGroup()
										.addContainerGap()
										.addComponent(this.headerLabel)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(
												this.headerSeparator,
												javax.swing.GroupLayout.PREFERRED_SIZE,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addComponent(this.nameLabel)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(
												this.nameTextField,
												javax.swing.GroupLayout.PREFERRED_SIZE,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(
												layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																this.expectedDateLabel)
														.addComponent(
																this.actualDateLabel))
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(
												layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																this.expectedDateChooser)
														.addComponent(
																this.actualDateChooser))
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.RELATED,
												64, Short.MAX_VALUE)
										.addGroup(
												layout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																this.cancelButton)
														.addComponent(
																this.actionButton))
										.addContainerGap()));
	}// </editor-fold>

	// Variables declaration - do not modify
	private JDateChooser actualDateChooser;
	private javax.swing.JLabel actualDateLabel;
	private javax.swing.JLabel headerLabel;
	private javax.swing.JSeparator headerSeparator;
	private javax.swing.JLabel nameLabel;
	private javax.swing.JTextField nameTextField;
	private JDateChooser expectedDateChooser;
	private javax.swing.JLabel expectedDateLabel;
	// End of variables declaration

}
