/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data;

import net.java.ao.Entity;

/**
 * This class relates a user, a project, and a traceability matrix It is used to
 * keep track of the last traceability matrix the user had opened for each
 * project
 * 
 */

public interface ActiveMatrixRelation extends Entity {
	public User getUser();

	public void setUser(User u);

	public Project getProject();

	public void setProject(Project p);

	public TraceabilityMatrix getTraceabilityMatrix();

	public void setTraceabilityMatrix(TraceabilityMatrix t);
}
