/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *    Sabrina Varanelli - Initial design
 *******************************************************************************/

package edu.wpi.wpisuite.data;

/**
 * A feature is a long-term requirement which often encompasses many User
 * Stories' worth of work. They represent some higher function which the system
 * must be capable of performing, something that a marketeer could potentially
 * put on a brochure to entice potential clients with. They are typically too
 * large in scope to be encompassed in a single iteration - instead, they are
 * planned against larger-scale releases.
 */
public interface Feature extends Requirement {
	public Project getProject();

	public void setProject(Project project);

	public User getAuthor();

	public void setAuthor(User author);

	public Release getRelease();

	public void setRelease(Release release);

	public User getOwner();

	public void setOwner(User owner);
}