/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data;

import java.sql.Types;
import java.util.Date;

import net.java.ao.Entity;
import net.java.ao.OneToMany;
import net.java.ao.schema.SQLType;

/**
 * An Iteration is a short, single development cycle. It encompasses some of the
 * smaller-scale types of requirements. Many iterations may be incorporated in a
 * single release. Iterations commonly span about a week, though they may in
 * some cases last longer or in some rare cases shorter.
 */
public interface Iteration extends Entity {
	public String getName();

	public void setName(String name);

	public Release getRelease();

	public void setRelease(Release release);

	@OneToMany
	public UserStory[] getUserStories();

	public Project getProject();

	public void setProject(Project project);

	@SQLType(Types.DATE)
	public Date getEndDate();

	public void setEndDate(Date endDate);

	@SQLType(Types.DATE)
	public Date getStartDate();

	public void setStartDate(Date startDate);

}