/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data;

import net.java.ao.Accessor;
import net.java.ao.Entity;
import net.java.ao.schema.Default;

/**
 * Represents an association between a project and a user which is a member of
 * that project. Its existence for a particular project-user pair implies
 * membership, and this association object contains permissions specific to the
 * pairing.
 */
public interface ProjectMember extends Entity {
	public Project getProject();

	public void setProject(Project project);

	public User getMember();

	public void setMember(User member);

	@Default("0")
	@Accessor("canReadUserStory")
	public boolean canReadUserStory();

	public void setCanReadUserStory(boolean canReadUserStory);

	@Default("0")
	@Accessor("canCreateUserStory")
	public boolean canCreateUserStory();

	public void setCanCreateUserStory(boolean canCreateUserStory);

	@Default("0")
	@Accessor("canEditUserStory")
	public boolean canEditUserStory();

	public void setCanEditUserStory(boolean canEditUserStory);

	@Default("0")
	@Accessor("canReadFeature")
	public boolean canReadFeature();

	public void setCanReadFeature(boolean canReadFeature);

	@Default("0")
	@Accessor("canCreateFeature")
	public boolean canCreateFeature();

	public void setCanCreateFeature(boolean canCreateFeature);

	@Default("0")
	@Accessor("canEditFeature")
	public boolean canEditFeature();

	public void setCanEditFeature(boolean canEditFeature);

	@Default("0")
	@Accessor("canReadIteration")
	public boolean canReadIteration();

	public void setCanReadIteration(boolean canReadIteration);

	@Default("0")
	@Accessor("canCreateIteration")
	public boolean canCreateIteration();

	public void setCanCreateIteration(boolean canCreateIteration);

	@Default("0")
	@Accessor("canEditIteration")
	public boolean canEditIteration();

	public void setCanEditIteration(boolean canEditIteration);

	@Default("0")
	@Accessor("canReadRelease")
	public boolean canReadRelease();

	public void setCanReadRelease(boolean canReadRelease);

	@Default("0")
	@Accessor("canCreateRelease")
	public boolean canCreateRelease();

	public void setCanCreateRelease(boolean canCreateRelease);

	@Default("0")
	@Accessor("canEditRelease")
	public boolean canEditRelease();

	public void setCanEditRelease(boolean canEditRelease);

	@Default("0")
	public boolean isAdmin();

	public void setAdmin(boolean admin);
}
