/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data;

import java.sql.Types;
import java.util.Date;

import net.java.ao.Entity;
import net.java.ao.OneToMany;
import net.java.ao.schema.SQLType;
import net.java.ao.schema.Table;

/**
 * A release is a point in time at which a project is released to some group of
 * users. It typically encompasses many iterations and features.
 */
@Table("_release")
// release is a keyword in mysql
public interface Release extends Entity {
	public String getName();

	public void setName(String name);

	@SQLType(Types.DATE)
	public Date getExpectedDate();

	public void setExpectedDate(Date expectedDate);

	@SQLType(Types.DATE)
	public Date getActualDate();

	public void setActualDate(Date actualDate);

	@OneToMany
	public Iteration[] getIterations();

	@OneToMany
	public Feature[] getFeatures();

	public Project getProject();

	public void setProject(Project project);
}