/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data;

import net.java.ao.Entity;
import net.java.ao.Polymorphic;
import net.java.ao.schema.NotNull;

/**
 * A requirement is a generalized view of some form of recognizing value that a
 * project should provide to its end users. These include long-term features and
 * short-term User Stories defining more specific tasks for a project to
 * accomplish, as two examples. There are no actual Requirements, merely things
 * which are more specific types of requirement.
 */
@Polymorphic
// basically means "abstract activeObject interface"
public interface Requirement extends Entity {
	@NotNull
	public String getTitle();

	public void setTitle(String title);

	public String getDescription();

	public void setDescription(String description);

	// Though it would be NICE for Projects to associate to Requirement[],
	// it actually needs to associate with a separate array for each subclass.
	// See Project for details.

}