/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta - Initial design, API, and implementation
 *    Sabrina Varanelli - Initial design
 *    Dan Bjorge - Additional design
 *******************************************************************************/

package edu.wpi.wpisuite.data;

import net.java.ao.Entity;

/**
 * Defines a traceability matrix, which specifically means two groups of
 * requirements (rows and columns) and the related set of associations between
 * them
 */
public interface TraceabilityMatrix extends Entity {
	public String getName();

	public void setName(String name);

	public Project getProject();

	public void setProject(Project project);

	public TraceabilityMatrixCriteria getRowCriteria();

	public void setRowCriteria(TraceabilityMatrixCriteria criteria);

	public TraceabilityMatrixCriteria getColumnCriteria();

	public void setColumnCriteria(TraceabilityMatrixCriteria criteria);
}
