/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data;

import net.java.ao.Entity;

/**
 * Defines the set of all criteria which define an axis of a particular
 * traceability matrix
 */
public interface TraceabilityMatrixCriteria extends Entity {
	// public TraceabilityMatrix getMatrix();
	// public void setMatrix(TraceabilityMatrix matrix);

	public TraceabilityMatrixCriterion getRootCriterion();

	public void setRootCriterion(TraceabilityMatrixCriterion root);

	/** Options for which type of requirement to choose from */
	public enum RequirementType {
		USER_STORY("User Stories", UserStory.class), FEATURE("Features",
				Feature.class);

		private String str;
		private Class<? extends Requirement> clazz;

		private RequirementType(String str, Class<? extends Requirement> clazz) {
			this.str = str;
			this.clazz = clazz;
		}

		@Override
		public String toString() {
			return str;
		}

		public Class<? extends Requirement> getRequirementClass() {
			return clazz;
		}
	}

	public RequirementType getRequirementType();

	public void setRequirementType(RequirementType requirementType);
}
