package edu.wpi.wpisuite.data.errors;

public enum FeatureErrorType {
	DATABASE_FEATURE_CREATION(
			"A database error occured while creating this feature."), DATABASE_FEATURE_DELETION(
			"A database error occured while attempting to delete this feature."), NO_PROJECT(
			"A feature must be in a project."), NULL(
			"The given feature is null."), TITLE_NULL("Title cannot be null."), TITLE_EMPTY(
			"Title cannot be empty"), TITLE_ALL_SPACES(
			"Title cannot only contain spaces."), TITLE_BEGIN_WITH_SPACE(
			"Title cannot begin with a space."), TITLE_NOT_UNIQUE(
			"Another feature with the same title already exists in this project."), TITLE_TOO_LONG(
			"The title must be less than 255 characters."), DESCRIPTION_NULL(
			"Description cannot be null."), DESCRIPTION_EMPTY(
			"Description cannot be empty"), DESCRIPTION_ALL_SPACES(
			"Description cannot only contain spaces."), DESCRIPTION_TOO_LONG(
			"Description must be less than 255 characters."), AUTHOR_INVALID(
			"The author must be part of the project."), OWNER_INVALID(
			"The owner must be part of the project."), RELEASE_INVALID(
			"Release is not a release of the same project as this iteration.");

	private final String message;

	private FeatureErrorType(String message) {
		this.message = message;
	}

	public String getMessage() {
		return message;
	}
}
