/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Ravi Singh
 *******************************************************************************/

package edu.wpi.wpisuite.data.errors;

/**
 * Enumerates all the possible ways in which project management could fail
 */
public enum ProjectErrorType {
	DATABASE_PROJECT_CREATION(
			"A database error occured while creating this project."), DATABASE_PROJECT_DELETION(
			"A database error occured while attempting to delete this project."), NULL(
			"The given project to update is null."), NAME_NULL(
			"Name cannot be null."), NAME_EMPTY("Name cannot be empty"), NAME_ALL_SPACES(
			"Name cannot only contain spaces."), NAME_BEGIN_WITH_SPACE(
			"Name cannot begin with a space."), NAME_NOT_UNIQUE(
			"Another project with the same name already exists in this project."), NAME_TOO_LONG(
			"Project name must be less than 255 charactres."), DESCRIPTION_NULL(
			"Description cannot be null."), DESCRIPTION_EMPTY(
			"Description cannot be empty."), DESCRIPTION_ALL_SPACES(
			"Description cannot only contain spaces");

	private final String message;

	private ProjectErrorType(String message) {
		this.message = message;
	}

	public String getMessage() {
		return message;
	}
}
