/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Ravi Singh
 *******************************************************************************/

package edu.wpi.wpisuite.data.errors;

/**
 * Enumerates all the possible ways in which release management could fail
 */
public enum ReleaseErrorType {
	DATABASE_RELEASE_CREATION(
			"A database error occured while creating this release."), DATABASE_RELEASE_DELETION(
			"A database error occured while attempting to delete this release."), NULL(
			"The given release to update is null."), NAME_NULL(
			"Name cannot be null."), NAME_EMPTY("Name cannot be empty"), NAME_ALL_SPACES(
			"Name cannot only contain spaces."), NAME_BEGIN_WITH_SPACE(
			"Name cannot begin with a space."), NAME_NOT_UNIQUE(
			"Another release with the same name already exists in this project."), EXPECTED_DATE_NULL(
			"Expected date of the release is null"), NAME_TOO_LONG(
			"Name must be less than 255 characters.");

	private final String message;

	private ReleaseErrorType(String message) {
		this.message = message;
	}

	public String getMessage() {
		return message;
	}
}
