/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Ian Williams - Initial design, API, and implementation
 *******************************************************************************/
package edu.wpi.wpisuite.data.funcs;

import net.java.ao.Entity;

public class EntityEvent {

	public enum EventType {
		CREATE, DELETE, UPDATE;
	}

	private EventType type;
	private Entity entity;

	public EntityEvent(Entity entity, EventType type) {
		this.entity = entity;
		this.type = type;
	}

	/**
	 * @return the type
	 */
	public EventType getType() {
		return type;
	}

	/**
	 * @return the entity
	 */
	public Entity getEntity() {
		return entity;
	}
}
