/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Ian Williams - Initial design, API, and implementation
 *******************************************************************************/
package edu.wpi.wpisuite.data.funcs;

import edu.wpi.wpisuite.module.ActiveState;
import edu.wpi.wpisuite.module.ActiveStateListener;

/**
 * This interface specifies a means for modules to watch for and update in
 * response to changes in the application's state.
 * 
 * @see ActiveState#registerListener(ActiveStateListener)
 */
public interface EntityListener {

	/**
	 * This function will be called whenever a change occurs.
	 * 
	 * @param event
	 */
	public void changeOccured(EntityEvent event);

}
