/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Ian Williams - Initial design, API, and implementation
 *******************************************************************************/
package edu.wpi.wpisuite.data.funcs;

import java.util.HashSet;
import java.util.Set;

/**
 * A manager for some Entity.  
 */
public class EntityManager {

	private Set<EntityListener> listeners;

	public EntityManager() {
		this.listeners = new HashSet<EntityListener>();
	}

	public void registerListener(EntityListener e) {
		listeners.add(e);
	}

	public void removeListener(EntityListener e) {
		listeners.remove(e);
	}

	public void fireChange(EntityEvent e) {
		for (EntityListener l : listeners)
			l.changeOccured(e);
	}
}
