/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Ian Williams - Initial design, API, and implementation
 *    Dan Bjorge - Initial design
 *******************************************************************************/

package edu.wpi.wpisuite.data.util;

import java.util.Date;

import edu.wpi.wpisuite.data.Project;
import edu.wpi.wpisuite.data.Release;
import edu.wpi.wpisuite.data.UserStory;

/**
 * Represents something which can access all of the fields needed to define an
 * iteration, such as an Iteration or an IterationEditor
 */
public interface IterationAccessor {

	public int getID();

	public String getName();

	public Release getRelease();

	public UserStory[] getUserStories();

	public Project getProject();

	public Date getEndDate();

	public Date getStartDate();

}
