/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   Ravi Singh
 *******************************************************************************/

package edu.wpi.wpisuite.data.util;

import edu.wpi.wpisuite.data.Feature;
import edu.wpi.wpisuite.data.Iteration;
import edu.wpi.wpisuite.data.Release;
import edu.wpi.wpisuite.data.TraceabilityMatrix;
import edu.wpi.wpisuite.data.User;
import edu.wpi.wpisuite.data.UserStory;

/**
 * Represents something which can access all of the fields needed to define an
 * project, such as a Project or a ProjectEditor
 */
public interface ProjectAccessor {

	public String getName();

	public String getDescription();

	public User[] getMembers();

	public Iteration[] getIterations();

	public Release[] getReleases();

	public Feature[] getFeatures();

	public UserStory[] getUserStories();

	public TraceabilityMatrix[] getTraceabilityMatrices();

}
