/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta
 *******************************************************************************/

package edu.wpi.wpisuite.data.util;

import java.util.Comparator;

import edu.wpi.wpisuite.data.Project;

/**
 * Used to sort an array of projects based on name
 */
public class ProjectComparator implements Comparator<Project> {

	@Override
	public int compare(Project a, Project b) {

		if (a == null || a.getName() == null)
			return -1;

		if (b == null || b.getName() == null)
			return 1;

		return a.getName().compareToIgnoreCase(b.getName());
	}
}