/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Ravi Singh
 *******************************************************************************/

package edu.wpi.wpisuite.data.util;

import java.util.Date;

import edu.wpi.wpisuite.data.Feature;
import edu.wpi.wpisuite.data.Iteration;
import edu.wpi.wpisuite.data.Project;

/**
 * Represents something which can access all of the fields needed to define a
 * release, such as a Release or a ReleaseEditor.
 */
public interface ReleaseAccessor {

	public String getName();

	public Date getExpectedDate();

	public Date getActualDate();

	public Iteration[] getIterations();

	public Feature[] getFeatures();

	public Project getProject();
}
