/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data.util;

import java.util.Comparator;

import edu.wpi.wpisuite.data.Release;

/**
 * Used to sort an array of releases based on date
 */
public class ReleaseComparator implements Comparator<Release> {

	@Override
	public int compare(Release a, Release b) {
		if (a.getExpectedDate() == null)
			return 1;

		if (b.getExpectedDate() == null)
			return -1;

		return a.getExpectedDate().compareTo(b.getExpectedDate());
	}
}
