/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.data.util;

import java.util.Comparator;

import edu.wpi.wpisuite.data.Requirement;

/**
 * Used to sort an array of Requirements based on their titles
 */
public class RequirementComparator implements Comparator<Requirement> {
	@Override
	public int compare(Requirement a, Requirement b) {
		return a.getTitle().compareToIgnoreCase(b.getTitle());
	}
}
