/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.log;

import org.apache.log4j.PropertyConfigurator;

/**
 * Class to inform the logging library which configuration file to use.
 * 
 * Intended usage is a single call to LoggerInitializer.initializeLoggers() at
 * the start of any main() methods.
 */
public class LoggerInitializer {
	/**
	 * Initializes the log4j logging library to use the appropriate
	 * configuration file
	 */
	public static void initializeLoggers() {
		PropertyConfigurator.configure("log.properties");
	}
}
