/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta - Initial design and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.module;

/**
 * This interface is used by the active state to determine the active module
 * It allows modules to determine if they are active (i.e. currently visible)
 * and lets modules update their components only when necessary  
 *  
 * The ActiveModuleController is set in WPISuiteView
 * 
 * @author lucas scotta
 *
 */
public interface IActiveModuleController {
	
	/**
	 * This could be changed to return an array if multiple modules are visible at once
	 * @return the active module
	 */
	public Module getActiveModule();
	
}
