/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.module;

/**
 * Defines a listener for status changes. Primarily implemented by the StatusBar
 * to listen to changes in the ActiveState's status
 */
public interface StatusListener {
	/**
	 * Called on any changes in the status of the listened to StatusState
	 * 
	 * @param newStatus
	 *            The newly set Status
	 */
	public void statusChanged(Status newStatus);
}
