/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta - Initial design, API, and implementation
 *    
 *******************************************************************************/

package edu.wpi.wpisuite.module.rm;

import java.awt.event.MouseListener;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import edu.wpi.wpisuite.components.EntityIconSet;

/**
 * Allows for the quick creation of a simple menu that contains Create and
 * Delete options for a given string entityName.
 */
@SuppressWarnings("serial")
public class EntityPopupMenu extends JPopupMenu {
	private JMenuItem create;
	private JMenuItem delete;
	private EntityIconSet icons = new EntityIconSet();

	EntityPopupMenu(String entityName, MouseListener createListener,
			MouseListener deleteListener) {
		super();
		this.create = new javax.swing.JMenuItem("Create " + entityName);
		this.delete = new javax.swing.JMenuItem("Delete " + entityName);

		this.create.setIcon(icons.getAddIcon());
		this.delete.setIcon(icons.getDeleteIcon());

		create.addMouseListener(createListener);
		delete.addMouseListener(deleteListener);
		this.add(create);
		this.add(delete);
	}

	public void allowCreate(boolean val) {
		create.setEnabled(val);
	}

	public void allowDelete(boolean val) {
		delete.setEnabled(val);
	}
}
