/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *    
 *******************************************************************************/

package edu.wpi.wpisuite.module.rm;

import net.java.ao.Entity;

/**
 * Class for a listener on Entity selection, regardless of entity type
 */
public interface EntitySelectionListener {
	/**
	 * Fired on a change in entity selection
	 * 
	 * @param newSelection
	 *            The newly selected entity
	 */
	public void entitySelectionChange(Entity newSelection);
}
