/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Lucas Scotta - Initial design, API, and implementation
 *    
 *******************************************************************************/
package edu.wpi.wpisuite.module.rm;

import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableModel;


import edu.wpi.wpisuite.components.EntityIconSet;
import edu.wpi.wpisuite.components.EntityIconSet.IconType;
import edu.wpi.wpisuite.data.Iteration;
import edu.wpi.wpisuite.data.User;

/**
 * Table cell renderer
 * 
 * @author Lucas Scotta
 * @see http://www.famfamfam.com/lab/icons/silk/ for icons
 */
@SuppressWarnings("serial")
public class UserStoryTableCellRenderer extends DefaultTableCellRenderer {

	EntityIconSet icons;

	public UserStoryTableCellRenderer() {
		this.icons = new EntityIconSet();
	}

	@Override
	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int column) {

		super.getTableCellRendererComponent(table, value, isSelected, hasFocus,
				row, column);

		TableModel m = table.getModel();

		if (m instanceof UserStoryTableModel) {
			Object o = ((UserStoryTableModel) m).getObjectAt(table
					.convertRowIndexToModel(row), table
					.convertColumnIndexToModel(column));

			if (o != null) {
				if (o instanceof Iteration)
					this.setIcon(icons.getIterationIcon(IconType.DEFAULT));
				else if (o instanceof User) {
					if (((User) o).isAdmin())
						setIcon(icons.getUserAdminIcon());
					else
						setIcon(icons.getUserIcon(IconType.DEFAULT));
				} else
					this.setIcon(null);
			} else
				this.setIcon(null);
		}

		return this;
	}

}
