/*******************************************************************************
 * This file is a part of WPI Suite.
 *
 * Copyright (c) 2009 Worcester Polytechnic Institute, CS3733 D09 - Team 5.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Dan Bjorge - Initial design, API, and implementation
 *******************************************************************************/

package edu.wpi.wpisuite.module.traceability;

import javax.swing.JPanel;

/**
 * Represents what the user should see when there is are no matrix rows or
 * columns to be found
 */
public class NoMatrixView extends JPanel {
	private static final long serialVersionUID = 7211265574896384064L;

	public NoMatrixView() {
		initComponents();
	}

	public void setDisplayString(String msg) {
		label.setText(msg);
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	// <editor-fold defaultstate="collapsed" desc="Generated Code">
	private void initComponents() {

		label = new javax.swing.JLabel();

		label.setForeground(new java.awt.Color(130, 130, 130));
		label.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		label.setText("No data selected");

		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
		this.setLayout(layout);
		layout.setHorizontalGroup(layout.createParallelGroup(
				javax.swing.GroupLayout.Alignment.LEADING).addGroup(
				layout.createSequentialGroup().addContainerGap().addComponent(
						label, javax.swing.GroupLayout.DEFAULT_SIZE, 380,
						Short.MAX_VALUE).addContainerGap()));
		layout.setVerticalGroup(layout.createParallelGroup(
				javax.swing.GroupLayout.Alignment.LEADING).addGroup(
				layout.createSequentialGroup().addContainerGap().addComponent(
						label, javax.swing.GroupLayout.DEFAULT_SIZE, 278,
						Short.MAX_VALUE).addContainerGap()));
	}// </editor-fold>

	// Variables declaration - do not modify
	private javax.swing.JLabel label;
	// End of variables declaration
}
